Name:           python-jinja2_pluralize
Version:        0.2.1
Release:        1%{?dist}
Summary:        Jinja2 pluralize filters

License:        BSD
URL:            https://pypi.python.org/pypi/jinja2_pluralize
Source0:        https://pypi.python.org/packages/source/j/jinja2_pluralize/jinja2_pluralize-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

# Required for check
BuildRequires:  python-jinja2
BuildRequires:  python-inflect

Requires:       python-inflect

%description
Simple pluralize filter for jinja2 based on inflect.py

%package -n python3-jinja2_pluralize
Summary:        Jinja2 pluralize filters
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# Required for check
BuildRequires:  python3-jinja2
BuildRequires:  python3-inflect

Requires:       python3-inflect

%description -n python3-jinja2_pluralize
Simple pluralize filter for jinja2 based on inflect.py

%prep
%setup -q -n jinja2_pluralize-%{version}
rm -rf jinja2_pluralize.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

( cd %{py3dir} && %{__python3} setup.py build )

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

( cd %{py3dir} && %{__python3} setup.py install --skip-build --root %{buildroot} )

%check
%{__python2} setup.py check
( cd %{py3dir} && %{__python3} setup.py check )

%files
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst LICENSE README.rst
%{python2_sitelib}/jinja2_pluralize
%{python2_sitelib}/jinja2_pluralize-%{version}-*.egg-info

%files -n python3-jinja2_pluralize
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst LICENSE README.rst
%{python3_sitelib}/jinja2_pluralize
%{python3_sitelib}/jinja2_pluralize-%{version}-*.egg-info

%changelog
* Mon Jul 21 2014 David Shea <dshea@redhat.com> - 0.2.1-1
- Update to upstream jinja2_pluralize, which integrates the shebang removal patch
- Fix the requires for the python2 vs. python3 packages
- Separate the buildrequires by package section

* Tue Jul  8 2014 David Shea <dshea@redhat.com> - 0.2.0-1
- Initial package
